//
//  CODTokenTextViewAttachmentCell.h
//  TextViewTokens
//
//  Created by Robinson on 11.08.2014.
//  Copyright (c) 2014 Coding Turtle. All rights reserved.
//

#import <Cocoa/Cocoa.h>


typedef NS_ENUM(NSUInteger, CODTokenTextViewAttachmentCellMode) {
  CODTokenTextViewAttachmentCellModeNormal = 0,
  CODTokenTextViewAttachmentCellModeSelected,
  
  //On Yosemite, there is no hover effect for normal (non-selected) tokens, but I keep the underlying support for it anyway.
  CODTokenTextViewAttachmentCellModeNormalHover,
  
  //On Yosemite, there is a slight change in text color when a selected token is hovered over.
  CODTokenTextViewAttachmentCellModeSelectedHover,
  
  //On Yosemite, tokens on inactive (non-main) windows always have the same gray color, whether or not they are selected.
  CODTokenTextViewAttachmentCellModeInactiveWindow
  
  //Note: The point is to make these tokens look almost exactly like the default Yosemite tokens.
  //But I will never get it 100% correct. But I think they’re close enough so that nobody is really going to notice the difference
  //unless they really make an effort to find the difference.
};


@interface CODTokenTextViewAttachmentCell : NSTextAttachmentCell

@property CODTokenTextViewAttachmentCellMode mode;
@property NSString *string;
@property BOOL drawForDragging;

@end
